{
  "name": "uniapp-vue3-project",
  "version": "1.0.2",
  "license": "MIT",
  "scripts": {
    "dev": "uni -p mp-weixin",
    "build:test": "uni build --mode test -p mp-weixin",
    "build:prod": "uni build --mode production -p mp-weixin",
    "deploy:test": "uni build --mode test -p mp-weixin && node deploy.ts test",
    "deploy:prod": "uni build --mode production -p mp-weixin && node deploy.ts production",
    "type-check": "vue-tsc --noEmit",
    "eslint": "eslint --fix",
    "stylelint": "stylelint \"src/**/*.(vue|scss|css)\" --fix",
    "cz": "git add . && npx czg",
    "postinstall": "simple-git-hooks"
  },
  "dependencies": {
    "@dcloudio/uni-app": "3.0.0-4000720240327001",
    "@dcloudio/uni-app-plus": "3.0.0-4000720240327001",
    "@dcloudio/uni-components": "3.0.0-4000720240327001",
    "@dcloudio/uni-mp-weixin": "3.0.0-4000720240327001",
    "dayjs": "^1.11.10",
    "pinia": "2.0.36",
    "pinia-plugin-persistedstate": "^3.2.1",
    "uview-plus": "^3.1.38",
    "vue": "3.4.21",
    "vue-i18n": "^9.9.0",
    "z-paging": "^2.6.2"
  },
  "devDependencies": {
    "@antfu/eslint-config": "1.1.0",
    "@dcloudio/types": "^3.4.3",
    "@dcloudio/uni-automator": "3.0.0-4000720240327001",
    "@dcloudio/uni-cli-shared": "3.0.0-4000720240327001",
    "@dcloudio/uni-stacktracey": "3.0.0-4000720240327001",
    "@dcloudio/vite-plugin-uni": "3.0.0-4000720240327001",
    "@types/node": "^20.8.10",
    "@typescript-eslint/parser": "^6.10.0",
    "@uni-helper/uni-app-types": "^0.5.9",
    "@unocss/eslint-plugin": "^0.57.2",
    "@vue/runtime-core": "^3.4.21",
    "@vue/tsconfig": "^0.4.0",
    "czg": "^1.7.1",
    "eslint": "^8.53.0",
    "lint-staged": "^15.0.2",
    "miniprogram-ci": "^1.9.8",
    "picocolors": "^1.0.0",
    "postcss-html": "^1.5.0",
    "postcss-scss": "^4.0.9",
    "sass": "^1.69.5",
    "simple-git-hooks": "^2.9.0",
    "stylelint": "^15.11.0",
    "stylelint-config-recess-order": "^4.3.0",
    "stylelint-config-standard": "^34.0.0",
    "stylelint-config-standard-vue": "^1.0.0",
    "stylelint-order": "^6.0.3",
    "typescript": "^5.2.2",
    "unocss": "^0.57.2",
    "unocss-applet": "^0.7.7",
    "unplugin-auto-import": "^0.16.7",
    "unplugin-vue-components": "^0.25.2",
    "vite": "^4.5.2",
    "vite-plugin-imagemin": "^0.6.1",
    "vue-tsc": "^1.8.22"
  },
  "lint-staged": {
    "src/**/*.{js,jsx,ts,tsx}": "eslint --fix",
    "*.{scss,less,style,html}": "stylelint --fix",
    "*.vue": [
      "stylelint --fix"
    ]
  },
  "simple-git-hooks": {
    "commit-msg": "node scripts/verifyCommit.js"
  }
}
